New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Error on Linux: libaudiopluginresonanceaudio.so #51

Open
SzOr opened this Issue Aug 22, 2018 · 1 comment

Comments

Projects
None yet
2 participants
@SzOr

SzOr commented Aug 22, 2018

When importing the sdk to Unity, a warning comes up:

Plugins: Couldn't open Assets/ResonanceAudio/Plugins/x86_64/libaudiopluginresonanceaudio.so, error: Assets/ResonanceAudio/Plugins/x86_64/libaudiopluginresonanceaudio.so: symbol __google_auxv version GLIBC_PRIVATE not defined in file ld-linux-x86-64.so.2 with link time reference

The package looks fine at first, builds fine, works on Android but there is no sound in the editor. When Unity is restarted ResonanceAudio disappears from Audio settings (Spatializer Plugin & Ambisonic Decoder Plugin)...

Issue on Unity 2018.2.4f1 and Ubuntu 18.04, but has been known for a while: https://forum.unity.com/threads/gvr-spatial-audio-plugin.457066/

@Nagasaki45

This comment has been minimized.

Nagasaki45 commented Oct 6, 2018

I had the same issue with "Resonance Audio SDK for Unity v1.2.1". Using version 1.2.0 solved the problem for me.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment